| Home | Libraries | People | FAQ | More

#### allocate_stable

Allocate a temporary object to hold stable asynchronous operation state.

##### Synopsis

Defined in header `<boost/beast/core/async_base.hpp>`

    template<
        class State,
        class Handler,
        class Executor1,
        class Allocator,
        class... Args>
    State&
    allocate_stable(
        stable_async_base< Handler, Executor1, Allocator >& base,
        Args&&... args);

##### Description

The object will be destroyed just before the completion handler is invoked, or when the base is destroyed.

##### Template Parameters

Type | Description
--- | ---
`State` | The type of object to allocate.

##### Parameters

Name | Description
--- | ---
`base` | The helper to allocate from.
`args` | An optional list of parameters to forward to the constructor of the object being allocated.

##### See Also

`stable_async_base`

Convenience header `<boost/beast/core.hpp>`